> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-11/v11-10/v11-10-0/older.md).

# Version 11.10.0 Changelog (2026-01-07)

View the changelog for our 11.10.0 release of the Apryse WebViewer SDK.

## WebViewer Core

### New

#### DOCX Editor

* Added new APIs `enableHeaderEditing`, `enableFooterEditing`, `disableHeaderEditing`, and `disableFooterEditing`.

#### Spreadsheet Editor

* Added a new WebViewer constructor option `spreadsheetEditorOptions`.

#### Annotation Tools

* Added an API `setStampScaleFactor` and `setSignatureScaleFactor` to set the scale factor of stamps or signatures created from the corresponding tools.

#### Forms

* Added text wrap matching when downloading or flattening text widgets and text fields.

### Fixes

#### General

* Fixed an issue where `withCredentials` failed to send credentials when loading image documents.

#### Annotations

* Fixed an issue where `FreeText` stroke color could be unintentionally modified due to rounding.
* Fixed an issue where `Redaction` or `Highlight` control handles could select more text than expected.
* Fixed an issue where redaction overlay text did not wrap to multiple lines after applying a redaction, causing long text to be cut off.
* Fixed an issue where justified `FreeText` annotations could overlap text while dragging.
* Fixed an issue where `Rectangle` annotation XFDF data could contain an empty dash property.
* Fixed an issue where signatures could be applied to multiple fields at once.

#### FreeText

* Fixed an issue where text in `FreeText` annotations could wrap incorrectly due to decimal width values.
* Fixed an issue where `fitText` could incorrectly wrap content.
* Fixed a performance issue when using dynamic font sizing with `FreeText` annotations.
* Fixed an issue where a trailing newline was removed when editing a `FreeText` annotation.

#### Forms

* Fixed an issue where the signature form field preview could differ from the actual widget when `createSignHereElement` was overridden.

#### Redaction

* Fixed an issue where the redaction create tool could enter an invalid state when text selection was disabled.
* Fixed an issue where overlay text on multi-region redactions was rendered multiple times

#### Tools

* Fixed an issue where `CalloutCreateTool` allowed creation over existing annotations when `disableCreationOverAnnotation` was enabled.

#### Links

* Fixed an issue where links were not fully removed when unlinked.

#### Spreadsheet Editor

* Fixed a crash that could occur when searching within spreadsheet documents.

#### Office Viewer

* Fixed an issue where right-to-left text with inter-character spacing was scaled incorrectly.

#### DOCX Editor

* Fixed incorrect Backspace key behavior when editing indented paragraphs.

#### Portfolio

* Fixed an issue preventing switching between documents in PDF Portfolios when using WebViewer Server.

#### Text Selection

* Fixed an issue where text selection could appear vertical in horizontal PDF documents.

## WebViewer UI

### New

#### Spreadsheet Editor

* Added the ability to immediately apply color and stroke style changes when a single cell is selected.

#### Events

* Added a `LOAD_ERROR` event triggered when the password modal is cancelled or an incorrect password is entered three times.

### Fixes

#### WebComponent

* Fixed an issue where constructor values such as arrays were not consistently parsed or applied when using WebViewer as a Web Component.

#### Hotkeys

* Fixed an issue where switching UI modes in a single session re-initialized the hotkeys manager and added duplicate event listeners.

#### Annotation

* Fixed an issue where annotation author names were not properly escaped.
* Fixed an issue where annotation note connector lines were drawn incorrectly when zoomed in.

#### Measurements

* Fixed an issue where switching tools or ribbons during calibration interrupted the calibration flow and prevented new scale creation.

#### Modular UI

* Fixed an issue where Modular UI removed items with duplicate `dataElement` values when adding new items. All items are now preserved.
* Fixed issues where disabled tool buttons could reappear after exiting Form Field Creation mode or Read-Only mode.
* Fixed cases where some tool buttons were not properly disabled when using `disableTool`.
* Fixed an issue where the mobile popup displayed a white background in dark mode instead of adapting to the active theme.

#### Outlines

* Fixed an issue where expanded outline items collapsed after reopening the panel.
* Fixed an issue where renaming an outline item exited edit mode after reopening the panel.
* Fixed an issue where renaming nested outline items collapsed their expanded state.
* Fixed an issue where nested outline items collapsed when scrolling long outline lists.

#### Portfolios

* Fixed an issue where portfolio files with uppercase file extensions could not be opened.

#### DOCX Editor

* Fixed an issue where `.doc` files were not saved as `.docx` files.

#### General

* Fixed an issue where pressing Enter while focused on the save modal filename input did not trigger a download.

#### Content Edit

* Fixed an issue where pressing the Delete key removed content boxes without warning.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-11/v11-10/v11-10-0/older.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
